Bug 26067 - Crypto: Clean up source formatting
Summary: Crypto: Clean up source formatting
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: crypto (show other bugs)
Version: 0.90
: P3 enhancement
Target Milestone: ---
Assignee: Raif S. Naffah
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-01 19:29 UTC by Casey Marshall
Modified: 2006-07-03 12:47 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-06-11 06:30:08


Attachments
partial fix (gnu.java.security.hash classes) (38.71 KB, patch)
2006-06-18 07:04 UTC, Raif S. Naffah
Details | Diff
2nd partial fix (gnu.java.security.jce classes) (7.89 KB, patch)
2006-06-19 12:49 UTC, Raif S. Naffah
Details | Diff
3rd partial fix (gnu.java.security.key classes) (18.33 KB, patch)
2006-06-20 11:29 UTC, Raif S. Naffah
Details | Diff
4th partial fix (rest of gnu.java.security classes) (42.52 KB, patch)
2006-06-24 00:18 UTC, Raif S. Naffah
Details | Diff
5th partial fix (gnu.javax.crypto.assembly classes) (11.78 KB, patch)
2006-06-25 02:12 UTC, Raif S. Naffah
Details | Diff
6th partial fix (gnu.javax.crypto.cipher classes) (78.14 KB, patch)
2006-06-25 12:06 UTC, Raif S. Naffah
Details | Diff
7th partial fix (gnu.javax.crypto.jce classes) (24.47 KB, patch)
2006-06-26 13:34 UTC, Raif S. Naffah
Details | Diff
8th partial fix (gnu.javax.crypto.key classes) (28.22 KB, patch)
2006-07-01 10:04 UTC, Raif S. Naffah
Details | Diff
9th partial fix (gnu.javax.crypto.keyring classes) (15.61 KB, patch)
2006-07-01 22:51 UTC, Raif S. Naffah
Details | Diff
10th partial fix (gnu.javax.crypto.mac classes) (22.83 KB, patch)
2006-07-02 00:22 UTC, Raif S. Naffah
Details | Diff
11th partial fix (gnu.javax.crypto.mode classes) (12.77 KB, patch)
2006-07-02 01:19 UTC, Raif S. Naffah
Details | Diff
12th partial fix (gnu.javax.crypto.pad classes) (6.60 KB, patch)
2006-07-02 02:00 UTC, Raif S. Naffah
Details | Diff
13th partial fix (gnu.javax.crypto.prng classes) (17.42 KB, patch)
2006-07-02 03:03 UTC, Raif S. Naffah
Details | Diff
14th partial fix (gnu.javax.crypto.sasl classes) (36.66 KB, patch)
2006-07-03 12:22 UTC, Raif S. Naffah
Details | Diff
last partial fix --gnu/javax/crypto/RSACipherImpl.java (3.03 KB, patch)
2006-07-03 12:45 UTC, Raif S. Naffah
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Casey Marshall 2006-02-01 19:29:03 UTC
When we merged GNU Crypto we used a source formatting tool from Eclipse, which does a good job for the most part, but often leaves some code badly munged (mostly for long lines). These should be cleaned up.
Comment 1 Andrew Pinski 2006-02-02 00:58:49 UTC
Confirmed.
Comment 2 Raif S. Naffah 2006-06-13 12:43:37 UTC
i'm listing here the classes with the fields/methods that stand out as needing reformatting.  if you notice omissions, add a comment.

* gnu/javax/crypto/RSACipherImpl.java (engineInit): 
(engineInit): 
(engineInit): 
(engineUpdate): 
(engineDoFinal): 
(engineDoFinal): 
* gnu/javax/crypto/sasl/InputBuffer.java (getScalar): 
(getOS): 
(getEOS): 
(getMPI): 
* gnu/javax/crypto/sasl/ClientFactory.java (getNames): 
(createSaslClient): 
* gnu/javax/crypto/sasl/AuthInfo.java: 
* gnu/javax/crypto/sasl/srp/SRPServer.java (serverHandler): 
* gnu/javax/crypto/sasl/srp/SRPClient.java (clientHandler): 
(createO): 
* gnu/javax/crypto/sasl/srp/ServerStore.java (getNewSessionID): 
* gnu/javax/crypto/sasl/srp/PasswordFile.java (Nsrp): 
(writeConf): 
(writePasswd): 
* gnu/javax/crypto/sasl/srp/CALG.java (getInstance): 
* gnu/javax/crypto/sasl/plain/PlainServer.java (evaluateResponse): 
* gnu/javax/crypto/sasl/plain/PlainClient.java (evaluateChallenge): 
* gnu/javax/crypto/sasl/crammd5/CramMD5Util.java (createMsgID): 
* gnu/javax/crypto/sasl/crammd5/CramMD5Client.java (evaluateChallenge): 
* gnu/javax/crypto/sasl/anonymous/AnonymousClient.java (response): 
* gnu/javax/crypto/prng/ICMGenerator.java (setup): 
* gnu/javax/crypto/prng/Fortuna.java (Fortuna): 
* gnu/javax/crypto/mode/CTR.java (setup): 
* gnu/javax/crypto/mode/CFB.java (setup): 
(encryptBlock): 
(decryptBlock): 
* gnu/javax/crypto/mode/BaseMode.java (name): 
* gnu/javax/crypto/mac/UHash32.java (PRIME_64): 
(PRIME_128): 
(L2Hash32): 
* gnu/javax/crypto/mac/OMAC.java (init): 
* gnu/javax/crypto/mac/HMac.java (selfTest): 
* gnu/javax/crypto/keyring/PublicKeyEntry.java (decode): 
* gnu/javax/crypto/keyring/EncryptedEntry.java (EncryptedEntry): 
(decrypt): 
* gnu/javax/crypto/keyring/CompressedEntry.java (decode): 
* gnu/javax/crypto/keyring/CertPathEntry.java (decode): 
* gnu/javax/crypto/keyring/AuthenticatedEntry.java (verify): 
* gnu/javax/crypto/key/KeyAgreementException.java (toString): 
* gnu/javax/crypto/key/IncomingMessage.java (readMPI): 
* gnu/javax/crypto/key/srp6/SRPKeyPairGenerator.java (setup): 
(hostKeyPair): 
(userKeyPair): 
* gnu/javax/crypto/key/srp6/SRPAlgorithm.java (N_2048): 
(N_1536): 
(N_1280): 
(N_1024): 
(N_768): 
(N_640): 
(N_512): 
(N_384): 
(N_264): 
(checkParams): 
* gnu/javax/crypto/key/srp6/SRP6User.java (computeSharedSecret): 
* gnu/javax/crypto/key/srp6/SRP6TLSServer.java (sendParameters): 
* gnu/javax/crypto/key/srp6/SRP6TLSClient.java (computeSharedSecret): 
* gnu/javax/crypto/key/srp6/SRP6Host.java (computeSharedSecret): 
* gnu/javax/crypto/key/dh/ElGamalKeyAgreement.java KA_ELGAMAL_RECIPIENT_PRIVATE_KEY): 
(KA_ELGAMAL_RECIPIENT_PUBLIC_KEY): 
* gnu/javax/crypto/key/dh/DiffieHellmanKeyAgreement.java KA_DIFFIE_HELLMAN_OWNER_PRIVATE_KEY): 
* gnu/javax/crypto/jce/GnuSasl.java (run): 
* gnu/javax/crypto/jce/GnuCrypto.java (run): 
* gnu/javax/crypto/jce/DiffieHellmanImpl.java (engineDoPhase): 
* gnu/javax/crypto/jce/sig/DHKeyFactory.java (engineGetKeySpec): 
* gnu/javax/crypto/jce/params/DERWriter.java (generateIdentifier): 
* gnu/javax/crypto/jce/params/BlockCipherParameters.java (engineGetEncoded): 
* gnu/javax/crypto/jce/cipher/ARCFourSpi.java (engineInit): 
* gnu/javax/crypto/jce/cipher/AESSpi.java (engineInit): 
* gnu/javax/crypto/cipher/Twofish.java (Pm): 
(KAT_KEY): 
(KAT_CT): 
* gnu/javax/crypto/cipher/Square.java (Sdata): 
(KAT_KEY): 
(KAT_CT): 
* gnu/javax/crypto/cipher/Serpent.java (KAT_KEY): 
(KAT_CT): 
* gnu/javax/crypto/cipher/Rijndael.java (SS): 
(shifts): 
(KAT_KEY): 
(KAT_CT): 
* gnu/javax/crypto/cipher/Khazad.java (KAT_KEY): 
* gnu/javax/crypto/cipher/DES.java (SP1): 
(SP2): 
(SP3): 
(SP4): 
(SP5): 
(SP6): 
(SP7): 
(SP8): 
(WEAK_KEYS): 
(POSSIBLE_WEAK_KEYS): 
* gnu/javax/crypto/cipher/CipherFactory.java (getInstance): 
* gnu/javax/crypto/cipher/Cast5.java (S1): 
(S2): 
(S3): 
(S4): 
(S5): 
(S6): 
(S7): 
(S8): 
(makeKey): 
* gnu/javax/crypto/cipher/Blowfish.java (P): 
(KS0): 
(KS1): 
(KS2): 
(KS3): 
(blowfishEncrypt): 
(blowfishDecrypt): 
* gnu/javax/crypto/cipher/BaseCipher.java (init): 
* gnu/javax/crypto/cipher/Anubis.java (KAT_KEY): 
(KAT_CT): 
(anubis): 
* gnu/javax/crypto/assembly/Transformer.java (forwardUpdate): 
(inverseUpdate): 
* gnu/javax/crypto/assembly/PaddingTransformer.java (initDelegate): 
* gnu/javax/crypto/assembly/DeflateTransformer.java (initDelegate): 
(lastUpdateDelegate): 
* gnu/javax/crypto/assembly/CascadeTransformer.java (lastUpdateDelegate): 
* gnu/java/security/util/Util.java (BASE64_CHARS): 
(dumpString): 
* gnu/java/security/util/Prime.java (generateRandomPrime): 
* gnu/java/security/sig/rsa/RSA.java (sign): 
(verify): 
(encrypt): 
(decrypt): 
* gnu/java/security/sig/rsa/EMSA_PKCS1_V1_5.java (getInstance): 
(MD2_PREFIX): 
(MD5_PREFIX): 
(SHA160_PREFIX): 
(SHA256_PREFIX): 
(SHA384_PREFIX): 
(SHA512_PREFIX): 
* gnu/java/security/provider/PKIXCertPathValidatorImpl.java (engineValidate): 
(basicSanity): 
* gnu/java/security/provider/Gnu.java (Gnu): 
* gnu/java/security/prng/RandomEvent.java (RandomEvent): 
* gnu/java/security/key/dss/FIPS186.java (generateParameters): 
* gnu/java/security/key/dss/DSSKeyPairGenerator.java (KEY_PARAMS_512): 
(KEY_PARAMS_768): 
(KEY_PARAMS_1024): 
* gnu/java/security/jce/sig/SignatureAdapter.java (engineVerify): 
* gnu/java/security/jce/sig/RSAKeyFactory.java (engineGetKeySpec): 
* gnu/java/security/jce/sig/DSSKeyFactory.java (engineGetKeySpec): 
* gnu/java/security/hash/Whirlpool.java (selfTest): 
* gnu/java/security/hash/Tiger.java (DIGEST0): 
(T1): 
(T2): 
(T3): 
(T4): 
(selfTest): 
* gnu/java/security/hash/Sha512.java (k): 
(DIGEST0): 
* gnu/java/security/hash/Sha384.java (k): 
(DIGEST0): 
* gnu/java/security/hash/Sha256.java (k): 
(DIGEST0): 
* gnu/java/security/hash/MD2.java (selfTest): 
* gnu/java/security/hash/Haval.java (padBuffer): 
(selfTest): 

Comment 3 Raif S. Naffah 2006-06-18 07:04:39 UTC
Created attachment 11690 [details]
partial fix (gnu.java.security.hash classes)
Comment 4 Raif S. Naffah 2006-06-19 12:49:35 UTC
Created attachment 11701 [details]
2nd partial fix (gnu.java.security.jce classes)

2nd partial fix (gnu.java.security.jce classes)
Comment 5 Raif S. Naffah 2006-06-20 11:29:47 UTC
Created attachment 11710 [details]
3rd partial fix (gnu.java.security.key classes)
Comment 6 Raif S. Naffah 2006-06-24 00:18:53 UTC
Created attachment 11738 [details]
4th partial fix (rest of gnu.java.security classes)
Comment 7 Raif S. Naffah 2006-06-25 02:12:18 UTC
Created attachment 11743 [details]
5th partial fix (gnu.javax.crypto.assembly classes)
Comment 8 Raif S. Naffah 2006-06-25 12:06:45 UTC
Created attachment 11745 [details]
6th partial fix (gnu.javax.crypto.cipher classes)
Comment 9 Raif S. Naffah 2006-06-26 13:34:01 UTC
Created attachment 11756 [details]
7th partial fix (gnu.javax.crypto.jce classes)
Comment 10 Raif S. Naffah 2006-07-01 10:04:53 UTC
Created attachment 11786 [details]
8th partial fix (gnu.javax.crypto.key classes)
Comment 11 Raif S. Naffah 2006-07-01 22:51:26 UTC
Created attachment 11788 [details]
9th partial fix (gnu.javax.crypto.keyring classes)
Comment 12 Raif S. Naffah 2006-07-02 00:22:34 UTC
Created attachment 11789 [details]
10th partial fix (gnu.javax.crypto.mac classes)
Comment 13 Raif S. Naffah 2006-07-02 01:19:54 UTC
Created attachment 11790 [details]
11th partial fix (gnu.javax.crypto.mode classes)
Comment 14 Raif S. Naffah 2006-07-02 02:00:33 UTC
Created attachment 11791 [details]
12th partial fix (gnu.javax.crypto.pad classes)
Comment 15 Raif S. Naffah 2006-07-02 03:03:22 UTC
Created attachment 11792 [details]
13th partial fix (gnu.javax.crypto.prng classes)
Comment 16 Raif S. Naffah 2006-07-03 12:22:55 UTC
Created attachment 11804 [details]
14th partial fix (gnu.javax.crypto.sasl classes)
Comment 17 Raif S. Naffah 2006-07-03 12:45:45 UTC
Created attachment 11807 [details]
last partial fix --gnu/javax/crypto/RSACipherImpl.java
Comment 18 Raif S. Naffah 2006-07-03 12:47:19 UTC
fixed as per the 15 previously attached patches.